/**
 * 全く何も保存しないコンテンツアクセサ
 * 保存しようとしてもしないし，検索しても何もヒットしない
 */
package org.logical_paradox.rss.rcm.accessor;


public class NullFileContentsAccessor implements ContentsAccessor {
	/**
	 * デフォルトコンストラクタ
	 */
	public NullFileContentsAccessor() {
	}
	public void init(String initparam) {
	}

	/**
	 * コンテンツ管理ストレージに対する接続をオープンする
 	 * 当然何もしない
	 */
	public void open(String openstr) {
	}

	/**
	 * コンテンツを登録する
	 */
	public void regist(String url, String contents) {
		return;
	}
	/**
	 * コンテンツを削除する
	 */
	public void unregist(String url) {
		return;
	}

	/**
	 * 全てのコンテンツを削除する
	 */
	public void unregistAll() {
		return;
	}

	/**
	 * コンテンツを探す
	 */
	public String find(String url) {
		return null;
	}

	/**
	 * ストレージとの接続を閉じる
	 */
	public void close() {
		return;
	}
}

// end of NullFileContentsAccessor.java
